@echo off
setlocal

net.exe session 1>NUL 2>NUL || goto :not_admin


REM Nome dell' installer da utilizzare
set installer=DicomAgentCustomSetup_3.0.4_15Giugno2026_feinouttest.msi

REM Chiede all'utente l'istanza da creare
set /p Istanza="Inserisci l'istanza da creare (1 e 01 sono due codici diversi): "

REM Se numero istanza maggiore di 49, errore
if %Istanza% GTR 49 ( 
    echo Errore: Istanza massima consentita: 49.
	pause
    exit /b 1
) 

REM Chiede all'utente se vuole il log
set /p VoglioLog="Vuoi il file di log dell'installazione? (S/N): "

if %Istanza% == 0 set Istanza=I%Istanza%
if %Istanza% == 1 set Istanza=I%Istanza%
if %Istanza% == 2 set Istanza=I%Istanza%
if %Istanza% == 3 set Istanza=I%Istanza%
if %Istanza% == 4 set Istanza=I%Istanza%
if %Istanza% == 5 set Istanza=I%Istanza%
if %Istanza% == 6 set Istanza=I%Istanza%
if %Istanza% == 7 set Istanza=I%Istanza%
if %Istanza% == 8 set Istanza=I%Istanza%
if %Istanza% == 9 set Istanza=I%Istanza%

REM Costruisce il comando MSI da eseguire
set ComandoMSI=%installer% MSINEWINSTANCE=1 TRANSFORMS=:_I%Istanza%

REM Costruisce il comando completo a seconda della scelta per il log

ECHO Installing Agent%Istanza% on %computername%

if /i "%VoglioLog%"=="S" (
	echo msiexec /i %~dp0\%ComandoMSI% /L*V  %~dp0\log_%Istanza%.log
	msiexec /i %~dp0\%ComandoMSI% /L*V  %~dp0\log_%Istanza%.log
) else (
	echo msiexec /i %~dp0\%ComandoMSI%
	msiexec /i %~dp0\%ComandoMSI%
)


goto :eof

:not_admin
echo ERROR: Please run as a local administrator.
pause
exit /b 1

pause

endlocal 
